package canvas;

import java.io.*;
import jakarta.servlet.ServletException;
import jakarta.servlet.http.HttpServlet;
import jakarta.servlet.http.HttpServletRequest;
import jakarta.servlet.http.HttpServletResponse;

public class DataUrlServlet1 extends HttpServlet {

    private static final long serialVersionUID = 7772065702934658508L;

    protected void process(HttpServletRequest request,
            HttpServletResponse response) throws ServletException, IOException {
        String dataURL = request.getParameter("dataURL");
        response.setContentType("text/plain");
        response.setHeader("Cache-Control", "no-cache");
        response.setCharacterEncoding("utf-8");
        response.getWriter().write(dataURL);
    }

    @Override
    protected void doGet(HttpServletRequest request,
            HttpServletResponse response) throws ServletException, IOException {
        process(request, response);
    }

    @Override
    protected void doPost(HttpServletRequest request,
            HttpServletResponse response) throws ServletException, IOException {
        process(request, response);
    }

    @Override
    public String getServletInfo() {
        return "Pobiera dane w postaci łańcucha znaków Base64.";
    }
}
